# QNetworkProxy Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QNetworkProxy()
- void QNetworkProxy(ProxyType type, String hostName, unsigned short port, String user, String password)
- void QNetworkProxy(QNetworkProxy other)

### Constructor Properties

- prototype: The QNetworkProxy prototype object
- QNetworkProxy applicationProxy()
- void setApplicationProxy(QNetworkProxy proxy)
- DefaultProxy
- Socks5Proxy
- NoProxy
- HttpProxy
- HttpCachingProxy
- FtpCachingProxy
- ProxyType( value )
- TunnelingCapability = 0x0001
- ListeningCapability = 0x0002
- UdpTunnelingCapability = 0x0004
- CachingCapability = 0x0008
- HostNameLookupCapability = 0x0010
- Capability( value )
- Capabilities( value1, value2, ... )

### Prototype Object Properties

- Capabilities capabilities()
- String hostName()
- bool isCachingProxy()
- bool isTransparentProxy()
- bool operator_equal(QNetworkProxy other)
- String password()
- unsigned short port()
- void setCapabilities(Capabilities capab)
- void setHostName(String hostName)
- void setPassword(String password)
- void setPort(unsigned short port)
- void setType(ProxyType type)
- void setUser(String userName)
- ProxyType type()
- String user()

### Instance Properties

QNetworkProxy objects have no special properties beyond those inherited from the QNetworkProxy prototype object.